Bug 845998 - [abrt] flobopuyo-0.20-8.fc17: Player_Start: Process /usr/bin/flobopuyo was killed by signal 11 (SIGSEGV)
[abrt] flobopuyo-0.20-8.fc17: Player_Start: Process /usr/bin/flobopuyo was ki...
Status: CLOSED DUPLICATE of bug 845782
Product: Fedora
Classification: Fedora
Component: SDL_mixer (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:0df3f846c849e9712dddd94038d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 08:48 EDT by happymcc
Modified: 2012-08-12 08:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-12 04:36:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.69 KB, text/plain)
2012-08-06 08:49 EDT, happymcc
no flags Details
File: maps (10.89 KB, text/plain)
2012-08-06 08:49 EDT, happymcc
no flags Details

  None (edit)
Description happymcc 2012-08-06 08:48:58 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        flobopuyo
crash_function: Player_Start
executable:     /usr/bin/flobopuyo
kernel:         3.5.0-2.fc17.i686
pid:            13539
pwd:            /home/happy
remote_result:  NOTFOUND
time:           Mon 06 Aug 2012 08:42:52 AM EDT
uid:            1000
username:       happy
var_log_messages: Aug  6 08:42:52 localhost abrt[13544]: Saved core dump of pid 13539 (/usr/bin/flobopuyo) to /var/spool/abrt/ccpp-2012-08-06-08:42:52-13539 (13144064 bytes)

backtrace:      Text file, 7876 bytes
maps:           Text file, 11155 bytes

build_ids:
:cd4a1552e499798697751c097d4b3793b3d5509a
:57d6de5ff5536ed125c804f036da93c46399c6e4
:f648d94ed6070ecb9603ce44f6a2b5a1804ff5c1
:7b9e064838c624e75b5a632da2db9e5146dbe70e
:c37ce5a56ac9116ef3203d075293c839e22aadc9
:5b5557b5b0427930b220a00961393e29809c42f0
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:c60024af920feb43604ff018b9b2d70440b316ea
:3acb49eb0c42230312a0b0e679162f2abc0f671f
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:480227a7bca28f7b6f8a785f94d35274f692e9d0
:75dd838611972f941eddfbc872c11bb0e35fb8c2
:eb4b2d4794f56e67af73ebed232a3de0b555492c
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:ee9e09c25a9fac31924247f98b4e151fa72ece7d
:b9570393b46c3b1c77ad81bce67e617e8608919a
:757d0ed5f496fc377d8558caf8987cefa4679f96
:0cc6dfb37fa33a39b32a474c934995879f7bc561
:476bd9aa38655cd9cd57ab94071e79f6d6b4c76d
:bdefcd1310b1f24530d799dc0128edd358eb3331
:8fbd947e26890f56cf8a4f905001d5500daeeb63
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:e5d20691ae43343b39484666096816e5c6ae2a65
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:a052236088d0e128748dd47a336e683e8576e79d
:043eccb02791fb7f064e23c6b73e45f1fdf3c243
:2ee8c2ca937a92e67d3f2f79b114daa447f5f669
:cdf4a22ae78a77d387cfbba3d667dba692429114
:a4d34e8ba9e750342f2baf8de2311e44e232d6d1
:60279f81e29cc017652f4642f44631d77d08f842
:327661a5f401b69a985e63c374da3357fb7bd155
:134b4c40cf364e1b220077702ba9a23268d4ed55
:75901b80d2dac1e6eb7ce9c4b8446d9190d4896a
:1cd0202320463bb5a57f77cdc4fe764105b405df
:409f7fce74f9fe59a9cd443bf3e43aa2a9680e18
:3315dc1f02dea0ab28a3f5f08ce3f07c9e156291
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:7e9d9994489152b4b37aa5bee934e9f2c8309a54
:2aa0a3c7fd741675fb8369e41ac0a688f804a29b
:6c08963d80aa0cb9eba99ea03758337d807fbc66
:2c76cb4883f6704c6f0c53967d2a9b4ad383fb1f
:05e18e3ae09df2e67626b3f732bef0d35107f46f
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721
:cbbb5c4f7aafbfef6a8298c1dda2e746929a4b82

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/happy/2

core_backtrace:
:eb4b2d4794f56e67af73ebed232a3de0b555492c 0x360fb Player_Start libmikmod.so.3 -
:2ee8c2ca937a92e67d3f2f79b114daa447f5f669 0xd760 - libSDL_mixer-1.2.so.0 -
:2ee8c2ca937a92e67d3f2f79b114daa447f5f669 0xa9bb - libSDL_mixer-1.2.so.0 -
:2ee8c2ca937a92e67d3f2f79b114daa447f5f669 0xb515 Mix_FadeInMusicPos libSDL_mixer-1.2.so.0 -
:2ee8c2ca937a92e67d3f2f79b114daa447f5f669 0xb5d2 Mix_PlayMusic libSDL_mixer-1.2.so.0 -
:e5d20691ae43343b39484666096816e5c6ae2a65 0x1b149 - [exe] -
:e5d20691ae43343b39484666096816e5c6ae2a65 0x113b2 - [exe] -
:e5d20691ae43343b39484666096816e5c6ae2a65 0x4f6e - [exe] -

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.15-51.fc17.i686 (Fedora Project) 1343996153
:/usr/lib/libICE.so.6.3.0 libICE-1.0.8-1.fc17.i686 (Fedora Project) 1337719198
:/usr/lib/librt-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1343996153
:/usr/lib/libpthread-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1343996153
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1337719199
:/usr/bin/flobopuyo flobopuyo-0.20-8.fc17.i686 (Fedora Project) 1344022165
:/usr/lib/libasyncns.so.0.3.1 libasyncns-0.8-3.fc17.i686 (Fedora Project) 1337719201
:/usr/lib/libsndfile.so.1.0.25 libsndfile-1.0.25-2.fc17.i686 (Fedora Project) 1337719206
:/usr/lib/libFLAC.so.8.2.0 flac-1.2.1-9.fc17.i686 (Fedora Project) 1337719202
:/usr/lib/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libvorbisenc.so.2.0.9 libvorbis-1:1.3.3-1.fc17.i686 (Fedora Project) 1337719198
:/usr/lib/libogg.so.0.8.0 libogg-2:1.3.0-1.fc17.i686 (Fedora Project) 1343996585
:/usr/lib/libSM.so.6.0.1 libSM-1.2.1-1.fc17.i686 (Fedora Project) 1337719198
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1337719189
:/usr/lib/libX11.so.6.3.0 libX11-1.5.0-2.fc17.i686 (Fedora Project) 1343996187
:/usr/lib/libXext.so.6.4.0 libXext-1.3.1-1.fc17.i686 (Fedora Project) 1337719199
:/usr/lib/libXi.so.6.1.0 libXi-1.6.1-1.fc17.i686 (Fedora Project) 1337719199
:/usr/lib/libX11-xcb.so.1.0.0 libX11-1.5.0-2.fc17.i686 (Fedora Project) 1343996187
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.7-1.fc17.i686 (Fedora Project) 1337719199
:/usr/lib/libmikmod.so.3.0.0 libmikmod-3.2.0-15.fc17.i686 (Fedora Project) 1343966276
:/usr/lib/libm-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1343996153
:/usr/lib/libgsm.so.1.0.12 gsm-1.0.13-6.fc17.i686 (Fedora Project) 1337719206
:/usr/lib/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libpng15.so.15.10.0 libpng-2:1.5.10-1.fc17.i686 (Fedora Project) 1337719198
:/usr/lib/ld-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1343996153
:/usr/lib/libvorbis.so.0.4.6 libvorbis-1:1.3.3-1.fc17.i686 (Fedora Project) 1337719198
:/usr/lib/libpulse.so.0.13.5 pulseaudio-libs-1.1-9.fc17.i686 (Fedora Project) 1337719207
:/usr/lib/libjson.so.0.0.1 json-c-0.9-4.fc17.i686 (Fedora Project) 1337719201
:/usr/lib/libXtst.so.6.1.0 libXtst-1.2.0-3.fc17.i686 (Fedora Project) 1337719199
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.13-1.fc17.i686 (Fedora Project) 1337719201
:/usr/lib/libjpeg.so.62.0.0 libjpeg-turbo-1.2.1-1.fc17.i686 (Fedora Project) 1343996166
:/usr/lib/libuuid.so.1.3.0 libuuid-2.21.2-2.fc17.i686 (Fedora Project) 1343996167
:/usr/lib/locale/locale-archive glibc-common-2.15-51.fc17.i686 (Fedora Project) 1343996144
:/usr/lib/libc-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1343996153
:/usr/lib/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-69.fc17.i686 (Fedora Project) 1337719198
:/usr/lib/libSDL_mixer-1.2.so.0.12.0 SDL_mixer-1.2.12-3.fc17.i686 (Fedora Project) 1343966277
:/usr/lib/libresolv-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1343996153
:/usr/lib/libdl-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1343996153
:/usr/lib/libnsl-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1343996153
:/usr/lib/libpulse-simple.so.0.0.3 pulseaudio-libs-1.1-9.fc17.i686 (Fedora Project) 1337719207
:/usr/lib/libpulsecommon-1.1.so pulseaudio-libs-1.1-9.fc17.i686 (Fedora Project) 1337719207
:/usr/lib/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.i686 (Fedora Project) 1343996187
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-2.fc17.i686 (Fedora Project) 1337719199
:/usr/lib/libSDL-1.2.so.0.11.3 SDL-1.2.14-16.fc17.i686 (Fedora Project) 1343937280
:/usr/lib/libSDL_image-1.2.so.0.8.4 SDL_image-1.2.12-1.fc17.i686 (Fedora Project) 1343937400
:/usr/lib/libtiff.so.3.9.6 libtiff-3.9.6-2.fc17.i686 (Fedora Project) 1343996170

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/happy/keyring-8FMmCb
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=happy
:USERNAME=happy
:MAIL=/var/spool/mail/happy
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/happy/.local/bin:/home/happy/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/happy
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=836
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/happy
:SHLVL=1
:LOGNAME=happy
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Bwg1WJ622d,guid=df6eb4e228a805d65ce1159b00000029
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/happy
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-happy-GFAx13/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/840,unix/unix:/tmp/.ICE-unix/840
:SSH_AUTH_SOCK=/run/user/happy/keyring-8FMmCb/ssh
:GPG_AGENT_INFO=/run/user/happy/keyring-8FMmCb/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-flobopuyo.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=13539

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 28136                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       28136                28136                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/happy/.xsession-errors
:pos:	155128
:flags:	02002
:2:/home/happy/.xsession-errors
:pos:	155128
:flags:	02002
Comment 1 happymcc 2012-08-06 08:49:02 EDT
Created attachment 602507 [details]
File: backtrace
Comment 2 happymcc 2012-08-06 08:49:04 EDT
Created attachment 602508 [details]
File: maps
Comment 3 happymcc 2012-08-11 10:48:08 EDT
wont start 

backtrace_rating: 4
Package: flobopuyo-0.20-8.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Andrea Musuruane 2012-08-11 13:08:30 EDT
Since the release of SDL_mixer-1.2.12-3 flobopuyo and other games requiring SDL_mixer now crash at start-up. Downgrading to SDL_mixer-1.2.12-1 solves the problem.
Comment 5 Hans de Goede 2012-08-12 04:36:45 EDT
Thanks for the bugreport, this is a bug in libmikmod which has been fixed recently, doing:
yum update --enablerepo=updates-testing libmikmod

Should fix this.

Regards,

Hans

*** This bug has been marked as a duplicate of bug 845782 ***
Comment 6 happymcc 2012-08-12 08:44:12 EDT
Thanks very much guys line below fixed the problem 
su -c 'yum update --enablerepo=updates-testing libmikmod-3.2.0-17.fc17'

Note You need to log in before you can comment on or make changes to this bug.